<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateIndexArticleInfo extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('index_article_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('release_time')->comment('发布时间');
            $table->integer('browse')->default(0)->comment('浏览次数');
            $table->string('title')->comment('标题');
            $table->tinyInteger('type')->comment('类型1=新闻中心2=集团新闻3=项目动态4=媒体聚焦5=弹窗');
            $table->string('source')->nullable()->comment('来源');
            $table->text('content');
            $table->text('introduce');
            $table->string('img_path')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('index_article_info');
    }
}
